#include <iostream>
#include <math.h>
using namespace std;

int main()
{
    int n;
    int ns[50000];
    cin >> n;
    for(int i=0;i<n;i++)
    {
        cin >> ns[i];
    }
    bool is;
    double sqr1,sqr2;
    for(int i=0;i<n;i++)
    {
        is=0;
        for(int j=1;j<=ns[i]/2;j++)
        {
            sqr1=sqrt(j);
            sqr2=sqrt(ns[i]-j);
            if(sqr1==floor(sqr1) && sqr2==floor(sqr2))
            {
                cout << 1;
                is=1;
                break;
            }
        }
        if(!is)
        {
            cout << 0;
        }
    }

    return 0;
}
